# Interface ZKMBeanInfo

All Known Implementing Classes:
  `ConnectionBean, DataTreeBean, FollowerBean, LeaderBean, LeaderElectionBean, LearnerHandlerBean, LocalPeerBean, ObserverBean, QuorumBean, ReadOnlyBean, RemotePeerBean, ServerBean, ZooKeeperServerBean`

public interface ZKMBeanInfo
Zookeeper MBean info interface. MBeanRegistry uses the interface to generate JMX object name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`boolean`
`isHidden()`
If isHidden returns true, the MBean won't be registered with MBean server, and thus won't be available for management tools.

## Method Details

### getName

String getName()

Returns:
  a string identifying the MBean

### isHidden

boolean isHidden()
If isHidden returns true, the MBean won't be registered with MBean server, and thus won't be available for management tools. Used for grouping MBeans.

Returns:
  true if the MBean is hidden.